package ipos.project.DataModellntegration.SimpleSceneIntegration;

import ipos.models.SimpleScene.IposPosition;
import ipos.project.DataModellntegration.SimpleSceneIntegration.service.impl.ExternalPubServiceImpl;
import ipos.project.mapper.ProtoMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jms.annotation.JmsListener;
import org.springframework.stereotype.Component;

@Component
public class SimpleSceneIntegration {
    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private ExternalPubServiceImpl mqttService;

    @JmsListener(destination = "local/user/position", containerFactory = "jmsListenFactory")
    public void receiveMessage(IposPosition pos) {
        LOG.trace("Data integration get: " + pos);
        // we can translate a class into a string using several methods: 1) `.toString()` 2) `JsonFormat` in `ProtoJsonMap`
        String jsonPos = ProtoMapper.toJson(pos);
        if (jsonPos != null) {
            this.mqttService.publish("ipos52/user/position", jsonPos, 0, false);
        }
    }
}
