package ipos.project.DataModellntegration.SimpleSceneIntegration.api;

import com.google.protobuf.InvalidProtocolBufferException;
import ipos.models.SimpleScene.IposMonitoringRequest;
import ipos.project.mapper.DataModelMapper;
import ipos.project.data.datamodel.MonitoringRequest;
import ipos.project.config.mqtt.Handler;
import ipos.project.config.mqtt.MqttListener;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jms.core.JmsTemplate;

@MqttListener("ipos/user/monitoring-request")
public class MqttRequestHandler implements Handler {

    private final Logger LOG = LoggerFactory.getLogger(getClass());
    JmsTemplate jmsTemplate;

    @Autowired
    public MqttRequestHandler(JmsTemplate jmsTemplate) {
        this.jmsTemplate = jmsTemplate;
    }

    // method that handle new message from the topic
    public void handle(MqttMessage message) {
        try {
            IposMonitoringRequest monReqProto = IposMonitoringRequest.parseFrom(message.getPayload());
            LOG.info("IposMonitoringRequest received: \n"
                    + monReqProto.toString());
            MonitoringRequest monReqInternal = DataModelMapper.toEntity(monReqProto);
            // TODO: send request via JMS to MonitoringController

            this.jmsTemplate.convertAndSend("local/user/monitoring-request", monReqInternal); // submit request to the internal broker
        } catch (InvalidProtocolBufferException e) {
            e.printStackTrace();
        }
    }
}
