package ipos.project.DataModellntegration.SimpleSceneIntegration.service.impl;

import ipos.project.DataModellntegration.SimpleSceneIntegration.service.ExternalPubService;
import org.eclipse.paho.client.mqttv3.MqttAsyncClient;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ExternalPubServiceImpl implements ExternalPubService {

    private final MqttAsyncClient mqttClient;

    @Autowired
    public ExternalPubServiceImpl(MqttAsyncClient mqttClient) {
        this.mqttClient = mqttClient;
    }

    public void publish(final String topic, final String msg , int qos, boolean retained) {
        MqttMessage mqttMessage = new MqttMessage();
        mqttMessage.setPayload(msg.getBytes());
        mqttMessage.setQos(qos);
        mqttMessage.setRetained(retained);

        try {
            mqttClient.publish(topic, mqttMessage);
        } catch (MqttException e) {
            e.printStackTrace();
        }
    }
}
