package ipos.project.mapper;

import ipos.models.SimpleScene;
import ipos.project.data.datamodel.IPos_DatamodelFactory;
import ipos.project.data.datamodel.MonitoringRequest;

public class DataModelMapper {

    private static final IPos_DatamodelFactory modelFactory = IPos_DatamodelFactory.eINSTANCE;

    public static MonitoringRequest toEntity(SimpleScene.IposMonitoringRequest monReqProto){
        MonitoringRequest monReqInt = modelFactory.createMonitoringRequest();
        monReqInt.setFrameId(monReqProto.getFrameId());
        monReqInt.setDelta(monReqProto.getDelta());
        monReqInt.setUpdateFrequency(monReqProto.getUpdateFrequency());
        monReqInt.setType(monReqProto.getTypeList());
        monReqInt.setId(monReqProto.getIdList());
        monReqInt.setFusionStrategy(monReqProto.getFusionStrategy());
        monReqInt.setExitNotification(monReqProto.getExitNotification());
        monReqInt.setProperties(monReqProto.getPropertiesList());
        monReqInt.setMonitoringTaskId(monReqProto.getMonitoringTaskId());
        monReqInt.setRequestorProtocol(monReqProto.getRequestorProtocol());
        return monReqInt;

    }

    public static SimpleScene.IposMonitoringRequest toDto(MonitoringRequest monReq) {
        // to Data Transfer Object
        return SimpleScene.IposMonitoringRequest.newBuilder()
            .setFrameId(monReq.getFrameId())
            .setDelta(monReq.getDelta())
            .setUpdateFrequency(monReq.getUpdateFrequency())
            .addAllType(monReq.getType())
            .addAllId(monReq.getId())
            .setFusionStrategy(monReq.getFusionStrategy())
            .setExitNotification(monReq.isExitNotification())
            .addAllProperties(monReq.getProperties())
            .setMonitoringTaskId(monReq.getMonitoringTaskId())
            .setRequestorProtocol(monReq.getRequestorProtocol())
            .build();
    }



}
